Release a draft billing item (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /admin/billing-items/{id}/ready

Returns a draft billing item to pending so it bills on the next sweep. Returns 404 for an unknown item, 400 when the item is not a draft and 409 when it changed at the same time. Super admin only.

Path parameters

  • id string Required

    Id of the billing item

application/json

Body Required

  • reason string

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • id string Required
      • caseId string Required
      • skuKey string Required
      • status string Required
      • description string Required
      • quantity number Required
      • unitAmountCents number Required
      • amountCents number Required
      • informational boolean Required
      • listAmountCents number | null Required
      • adminNote string | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /admin/billing-items/{id}/ready
curl \
 --request POST 'http://api.example.com/admin/billing-items/{id}/ready' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "reason": "string"
}'
Request examples
{
  "reason": "string"
}
Response examples (200)
{
  "data": {
    "id": "65a1b2c3d4e5f6a7b8c9d0e9",
    "caseId": "65a1b2c3d4e5f6a7b8c9d0e2",
    "skuKey": "addon.shipping",
    "status": "PENDING",
    "description": "Admin add-on: addon.shipping",
    "quantity": 1,
    "unitAmountCents": 2500,
    "amountCents": 2500,
    "informational": false,
    "listAmountCents": 42.0,
    "adminNote": "string"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}